Subject: Re: bug#25371: sed-4.3: Build fails when build in a separate directory and --disable-dependency-tracking is used.

From: Assaf Gordon <[email-masked]>
Date: Fri, 6 Jan 2017 10:16:39 -0500

Hello,

On 01/05/2017 08:34 PM, Juan Manuel Guerrero wrote:
> I have tried to build sed in a separate build directory using the option
> --disable-dependency-tracking.
[...]
>   GEN      lib/alloca.h
> /bin/sh: line 4: lib/alloca.h-t: No such file or directory
> make: *** [lib/alloca.h] Fehler 1

Thanks for the report.

I can confirm this is reproducible.

Creating the directories manually is sufficient to work-around this, e.g.:

    tar -xf sed-4.3.tar.xz
    mkdir build ; cd build
    ../sed-4.3/configure --disable-dependency-tracking
    mkdir lib sed
    make

In sed's "doc/local.mk" there is an explicit command to create the 'doc'
directory:

    doc/sed.1: sed/sed$(EXEEXT) .version $(srcdir)/doc/sed.x
            $(AM_V_GEN)$(MKDIR_P) doc
            [...]

So we can easily add similar commands for 'sed' and 'lib' directories
(I'm just looking for the optimal place to add this).

 - assaf